###################################################
### chunk number 1: Intro
###################################################
#line 30 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
 options(width=100)
 ps.options(colormodel="rgb")


###################################################
### chunk number 2: DataLoad
###################################################
#line 33 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
 library(Oncotree)
 data(ov.cgh)
 str(ov.cgh)


###################################################
### chunk number 3: TreeFit
###################################################
#line 42 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  ov.tree <- oncotree.fit(ov.cgh)


###################################################
### chunk number 4: TreePrint
###################################################
#line 49 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  ov.tree
  plot(ov.tree, edge.weights="est")   


###################################################
### chunk number 5: TreePrint2
###################################################
#line 52 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  pstree.oncotree(ov.tree, edge.weights="est", shape="oval")


###################################################
### chunk number 6: TreePlot
###################################################
#line 58 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  plot(ov.tree, edge.weights="est")


###################################################
### chunk number 7: TreeMarg
###################################################
#line 73 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  print(obs <- colMeans(ov.tree$data))
  print(est <- marginal.distr(ov.tree, with.errors=TRUE))
  #plot is in Figure 2
  barplot(rbind(obs[-1],est[-1]), beside=T,  legend.text=c("Observed","Fitted"),
	        main="Marginal frequencies of occurrence")


###################################################
### chunk number 8: TreeMargPlot
###################################################
#line 81 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  barplot(rbind(obs[-1],est[-1]), beside=T,  legend.text=c("Observed","Fitted"),
	        main="Marginal frequencies of occurrence")


###################################################
### chunk number 9: TreeDist
###################################################
#line 90 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  dd <- distribution.oncotree(ov.tree, with.errors=TRUE)
	head(dd)


###################################################
### chunk number 10: Marg2way
###################################################
#line 97 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  #estimated probabilities of 2 events
  print(est2way <- t(data.matrix(dd[2:8])) %*% diag(dd$Prob) %*% data.matrix(dd[2:8]))
  #observed probabilities of 2 events
  print(obs2way <- t(ov.tree$data[,-1]) %*% ov.tree$data[,-1]/nrow(ov.tree$data))
  oe.diff <- obs2way-est2way
  oe.diff[lower.tri(oe.diff)] <- NA  #clear half of symmetric matrix for plotting
  
  require(lattice)  #the plot is in Figure 3
  levelplot(oe.diff, xlab="", ylab="", scales=list(x=list(alternating=2), tck=0),
	          main="Observed - Expected probabilities of co-occurrence of events")


###################################################
### chunk number 11: Marg2wayPlot
###################################################
#line 111 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  print(levelplot(oe.diff, xlab="", ylab="", scales=list(x=list(alternating=2), tck=0),
	          main="Observed - Expected probabilities of co-occurrence of events"))


###################################################
### chunk number 12: BootNP
###################################################
#line 123 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  set.seed(43636)
  ov.boot <- bootstrap.oncotree(ov.tree, type="nonparam", R=1000)
  ov.boot
  opar <- par(mfrow=c(3,2))   #the plot is in Figure 4
    plot(ov.boot, minfreq=45)
  par(opar)  


###################################################
### chunk number 13: BootNPplot
###################################################
#line 135 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  opar <- par(mfrow=c(3,2))   #the plot is in Figure 4
    plot(ov.boot, minfreq=45, cex=1)
  par(opar)  


###################################################
### chunk number 14: BootFreq
###################################################
#line 150 "d:/Rcompile/CRANpkg/local/2.12/Oncotree/inst/doc/Oncotree_vignette.Rnw"
  ov.boot$parent.freq


